Bug 1778827

Summary: DHCP conflict when editing PXE loader for existing host
Product: Red Hat Satellite Reporter: Lukas Zapletal <lzap>
Component: ProvisioningAssignee: Lukas Zapletal <lzap>
Status: CLOSED ERRATA QA Contact: Roman Plevka <rplevka>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.7.0CC: ehelms, inecas, rplevka, sshtein
Target Milestone: 6.7.0Keywords: Triaged
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: foreman-1.24.1.18-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-14 13:39:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Lukas Zapletal 2019-12-02 15:18:33 UTC
Our orchestration code checks existing DHCP records against MAC, IP, hostname and filename. However filename must not be included when comparing DHCP records for conflicts. This change is about removing the filename from the check so it won't issue unnecessary conflict errors on updates of PXE loader.

TRIAGE: I believe this is worth fixing at least in 6.7.

Comment 3 Bryan Kearney 2019-12-02 17:06:44 UTC
Upstream bug assigned to lzap

Comment 4 Bryan Kearney 2019-12-02 17:06:46 UTC
Upstream bug assigned to lzap

Comment 5 Bryan Kearney 2020-03-11 14:03:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27877 has been resolved.

Comment 9 Roman Plevka 2020-03-19 12:51:21 UTC
VERIFIED
on sat6.7.0-16

no dhcp conflict occurs and the pxeloader file is updated in the DHCP record.

Comment 10 Roman Plevka 2020-03-20 16:43:15 UTC
*** Bug 1811946 has been marked as a duplicate of this bug. ***

Comment 11 Bryan Kearney 2020-04-14 13:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454